Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.lifecycle
Class AbstractMonitoringLifecycleStrategy

    java.lang.Object
      org.picocontainer.lifecycle.AbstractMonitoringLifecycleStrategy

All Implemented Interfaces:
  Serializable, ComponentMonitorStrategy, LifecycleStrategy

Direct Known Subclasses:
  JavaEE5LifecycleStrategy, ReflectionLifecycleStrategy, StartableLifecycleStrategy

    public abstract class AbstractMonitoringLifecycleStrategy

extends Object
implements LifecycleStrategy, ComponentMonitorStrategy, Serializable

Abstract base class for lifecycle strategy implementation supporting a `ComponentMonitor`.

Author:
  Jörg Schaible
See Also:
  Serialized Form

Constructor Summary
`AbstractMonitoringLifecycleStrategy(ComponentMonitor monitor)` Construct a AbstractMonitoringLifecycleStrategy.

Method Summary
`void` | `changeMonitor(ComponentMonitor monitor)` Swaps the current monitor with a replacement.
`ComponentMonitor` | `currentMonitor()` Retrieves access to the current monitor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.picocontainer.LifecycleStrategy
`dispose, hasLifecycle, start, stop`

Constructor Detail

### AbstractMonitoringLifecycleStrategy

    public AbstractMonitoringLifecycleStrategy(ComponentMonitor monitor)

  Construct a AbstractMonitoringLifecycleStrategy.

  Parameters:
    `monitor` - the componentMonitor to use
  Throws:
    `NullPointerException` - if the monitor is `null`

Method Detail

### changeMonitor

    public void changeMonitor(ComponentMonitor monitor)

  Swaps the current monitor with a replacement.

  Specified by:
    `changeMonitor` in interface `ComponentMonitorStrategy`
  Parameters:
    `monitor` - The new monitor.
  Throws:
    `NullPointerException` - if the passed in monitor is null.

### currentMonitor

    public ComponentMonitor currentMonitor()

  Retrieves access to the current monitor.

  Specified by:
    `currentMonitor` in interface `ComponentMonitorStrategy`
  Returns:
    The ComponentMonitor currently used

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.